Bug 122467 - UI: dialog Standard Filter from Data Sources: the drop down list Field Name is too narrow (gtk3)
Summary: UI: dialog Standard Filter from Data Sources: the drop down list Field Name i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-04 09:52 UTC by Cor Nouws
Modified: 2019-01-29 10:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen print of dialog (16.73 KB, image/png)
2019-01-04 09:52 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-01-04 09:52:28 UTC
Created attachment 148003 [details]
screen print of dialog

Start Data Source window
activate bibliography
click Standard Filter on tool bar
  > the drop down list Field is too narrow
also when an item is selected.

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Cor Nouws 2019-01-04 09:54:13 UTC
was OK in 6.1.x
Comment 2 Xisco Faulí 2019-01-04 23:33:34 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3de2e2294759b83409e61ef5735313a6adf906e8

author	Caolán McNamara <caolanm@redhat.com>	2018-10-11 17:06:02 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-11 22:00:51 +0200
commit	3de2e2294759b83409e61ef5735313a6adf906e8 (patch)
tree	e862ad065fd5ae43a2797baf4303ce0129e5285d
parent	6d18862629aaf9b8117f8a97187c1f82154a70b1 (diff)
weld DlgFilterCrit and DlgOrderCrit

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 3 Xisco Faulí 2019-01-04 23:35:20 UTC
Only gkt3
Comment 4 Commit Notification 2019-01-09 11:36:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d2313a5d052373f86174f9de4e24153024f6a8a2%5E%21

Resolves: tdf#122467 drop down field name is too narrow

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-01-09 11:39:39 UTC
backport to 6.2 in gerrit
Comment 6 Commit Notification 2019-01-10 11:14:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/42b3f8f57ad7cdb26fb8acb139c71ae1470a0b94%5E%21

Resolves: tdf#122467 drop down field name is too narrow

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-01-16 16:47:08 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 1bf68dbf53f4b5308e295058226abd6d6fb49c3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!